### Enumeration

# Clutter DrawDebugFlag

#### Declaration

    flags Clutter.DrawDebugFlag

#### Description

No description available.

#### Members

`CLUTTER_DEBUG_DISABLE_SWAP_EVENTS`

  No description available.

  - Value: `1`
  - Available since: 16
`CLUTTER_DEBUG_DISABLE_CLIPPED_REDRAWS`

  No description available.

  - Value: `2`
  - Available since: 16
`CLUTTER_DEBUG_REDRAWS`

  No description available.

  - Value: `4`
  - Available since: 16
`CLUTTER_DEBUG_PAINT_VOLUMES`

  No description available.

  - Value: `8`
  - Available since: 16
`CLUTTER_DEBUG_DISABLE_CULLING`

  No description available.

  - Value: `16`
  - Available since: 16
`CLUTTER_DEBUG_DISABLE_OFFSCREEN_REDIRECT`

  No description available.

  - Value: `32`
  - Available since: 16
`CLUTTER_DEBUG_CONTINUOUS_REDRAW`

  No description available.

  - Value: `64`
  - Available since: 16
`CLUTTER_DEBUG_PAINT_DEFORM_TILES`

  No description available.

  - Value: `128`
  - Available since: 16
`CLUTTER_DEBUG_PAINT_DAMAGE_REGION`

  No description available.

  - Value: `256`
  - Available since: 16
`CLUTTER_DEBUG_DISABLE_DYNAMIC_MAX_RENDER_TIME`

  No description available.

  - Value: `512`
  - Available since: 16
`CLUTTER_DEBUG_PAINT_MAX_RENDER_TIME`

  No description available.

  - Value: `1024`
  - Available since: 16
`CLUTTER_DEBUG_DISABLE_TRIPLE_BUFFERING`

  No description available.

  - Value: `2048`
  - Available since: 16